<?php
  //Created by Sam Gleske (sag47)
  //Creation date: 2011-03-12 (yyyy-mm-dd)
  //Created for Enchanted Keyfinder Project http://ekeyfinder.sf.net/
  
  //The purpose of this is to utilize the screenshot system already created by sourceforge
?>
      <div class="headline">screenshots</div>
      <p>
        Here are some screenshots pulled directly from the project page.
      </p>
<?php
  //Read and parse the screenshots page from sourceforge
  $handle = fopen("http://sourceforge.net/project/screenshots.php?group_id=369948", "rb");
  $contents = stream_get_contents($handle);
  fclose($handle);
  
  //Work on $contents with regular expressions. Why? Because $contents is invalid xml/xhtml so DOMDocument cannot be used.
  preg_match_all("/<a href=\"screenshots.php\?[^>]+>(.*?)<\/a>/",$contents,$matches);
  //print_r($matches);//print array (debug)
  
  //Create an array of arrays.
  $arrScreenshots = array();
  foreach($matches[1] as $node)
  {
    $simpleXmlElement = new SimpleXMLElement($node);
    $domElement = dom_import_simplexml($simpleXmlElement);
    $src=preg_split("/=/", $domElement->getAttribute('src') );//grab the src attribute from img tag and split it by = sign
    $title = $domElement->getAttribute('alt');
    $thumbnail = $src[1];
    $image = $src[1]+1;
    $width = $domElement->getAttribute('width');
    $height = $domElement->getAttribute('height');
    
    //now build the array to be stored in a parent array
    $prefix = 'http://sourceforge.net/dbimage.php?id=';
    $item = array ( 
      'title' => $title,
      'thumbnail' => $prefix . $thumbnail,
      'image' => $prefix . $image,
      'width' => $width,
      'height' => $height
      );
    array_push($arrScreenshots, $item);
  }
  //print_r($arrScreenshots);//print array (debug)
  
  //Build the html from the array of arrays.
  foreach($arrScreenshots as $screenshot)
  {
    echo "      <div class=\"listtext\">\n";
    echo "        <h1>" . $screenshot['title'] . "</h1>\n";
    echo "        <a href=\"" . $screenshot['image'] . "\"  class=\"highslide\" onclick=\"return hs.expand(this)\"><img src=\"" . $screenshot['thumbnail'] . "\" border=\"0\" width=\"" . $screenshot['width'] . "\" height=\"" . $screenshot['height'] . "\" alt=\"" . $screenshot['title'] . "\" /></a>\n";
    echo "        <div class=\"highslide-caption\">" . $screenshot['title'] . "</div>\n";
    echo "      </div>\n";
  }

  /*simple example of turning a string into an xml element and grabbing the attributes
  $simpleXmlElement = new SimpleXMLElement('<img src="/dbimage.php?id=291968" width="100" height="75" alt="About Dialog" />');
  $domElement = dom_import_simplexml($simpleXmlElement);
  $src=preg_split("/=/", $domElement->getAttribute('src') );
  $thumbnail = $src[1];
  $image = $src[1]+1;
  echo '<a href="http://sourceforge.net/dbimage.php?id=' . $image . '">';
  echo '<img src="http://sourceforge.net/dbimage.php?id=' . $thumbnail . '" /></a>';
  */
?>
